Skip to main content
POST
/
v5
/
reports
/
report
Generate a report
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v5/reports/report \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: */*' \
  --data '
{
  "name": "profitAndLoss",
  "params": {
    "endDate": "2021-12-31",
    "beginDate": "2021-01-01",
    "businessIds": [
      123
    ],
    "clientIds": [
      123
    ]
  },
  "exportType": "PDF",
  "emails": [
    "<string>"
  ],
  "date": "2023-11-07T05:31:56Z"
}
'
{
  "url": "<string>",
  "fileName": "<string>",
  "result": "SUCCESS",
  "htmlReport": "<string>",
  "jsonReport": {},
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

*/*

Parameters for the report v5 endpoint

name
enum<string>
required

Name of the specific report to be generated

Available options:
profitAndLoss,
revenuesByBusiness,
revenuesByClient,
revenueList,
personalRevenues,
expensesByBusiness,
expensesByCategory,
expensesByClient,
expensesByVendor,
expenseList,
personalExpensesByCategory,
personalExpensesByVendor,
recurringVendors,
agedAccountsReceivable,
agedAccountsPayable,
balanceSheet,
cashFlowStatement,
trialBalance,
scheduleC,
t2125,
form1065,
form1120S,
form1120
Example:

"profitAndLoss"

params
object
required
exportType
enum<string>

Export type for the report, defaults to HTML

Available options:
HTML,
PDF,
XLS,
JSON,
XLSX,
CSV,
LLM
Example:

"PDF"

emails
string[]

List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.

List of emails to which to send the report. Only valid for PDF and XLSX exportTypes.

date
string<date-time>

Date the report was generated on (displayed in the footer of the PDF report)

Response

200 - application/json

Successful operation

url
string
fileName
string
result
enum<string>
Available options:
SUCCESS,
FAILURE_CLOUDSTORAGE_NOT_SETUP,
FAILURE_UPLOAD_ERROR,
MASTER_SUCCESS_PERSONAL_FAILURE_UPLOAD_ERROR,
FAILURE_NO_DATA,
FAILURE_TOKEN_INVALIDATED,
FAILURE_EMAIL_TOKEN_INVALIDATED,
FAILURE_UNKNOWN_ERROR,
FAILURE_USER_OVER_QUOTA,
FAILURE_VALIDATION_ERROR
htmlReport
string
jsonReport
object
errors
object

Error object containing details errors incurred, if any